| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csBigEndian Struct Reference
[Utilities]

Big endian to native conversion routines. More...

`#include <csutil/csendian.h>`

List of all members.

## Static Public Member Functions
static int64 | Convert (int64 l)
static uint64 | Convert (uint64 l)
static int32 | Convert (int32 l)
static uint32 | Convert (uint32 l)
static int16 | Convert (int16 s)
static uint16 | Convert (uint16 s)
| Convert specifically sized type from or to big endian.
static int16 | Int16 (int16 x)
static int32 | Int32 (int32 x)
static int64 | Int64 (int64 x)
static uint16 | UInt16 (uint16 x)
static uint32 | UInt32 (uint32 x)
static uint64 | UInt64 (uint64 x)

## Detailed Description

Big endian to native conversion routines.

Remarks:
  Since conversion from and to native representation is the same operation, all methods can be used for either direction.

Definition at line 134 of file csendian.h.

## Member Function Documentation

static uint16 csBigEndian::Convert | ( | uint16 | s | ) | `[inline, static]`

Convert specifically sized type from or to big endian.

Definition at line 142 of file csendian.h.

References csSwapBytes::Swap().

Referenced by csBigEndianFloat(), csBigEndianLong(), csBigEndianLongLong(), csBigEndianShort(), Int16(), csLittleEndian::Int16(), Int32(), csLittleEndian::Int32(), Int64(), csLittleEndian::Int64(), UInt16(), csLittleEndian::UInt16(), UInt32(), csLittleEndian::UInt32(), UInt64(), and csLittleEndian::UInt64().

The documentation for this struct was generated from the following file:

- csutil/csendian.h